#ifdef GL_ES
precision mediump float;
varying mediump vec2 v_texCoord;
varying mediump vec4 v_fragmentColor;  
#else
varying vec2 v_texCoord;
varying vec4 v_fragmentColor;  
#endif

uniform float width;
uniform vec2 size;
uniform float timeScale;
uniform float offset;
uniform float factor;
uniform vec4  color;


void main(void)
{
    vec4 texColor = texture2D(CC_Texture0, v_texCoord);
    gl_FragColor = texColor;
}