#ifdef GL_ES
precision mediump float;
varying mediump vec2 v_texCoord;
varying mediump vec4 v_fragmentColor;  
#else
varying vec2 v_texCoord;
varying vec4 v_fragmentColor;  
#endif

uniform float width;
uniform vec2 size;
uniform float timeScale;
uniform float offset;
uniform float factor;
uniform vec4  color;


void main(void)
{
    vec4 texColor = texture2D(CC_Texture0, v_texCoord);    
    float color_r = 0.0/255.0;
    float color_g = 188.0/255.0;
    float color_b = 229.0/255.0;
    if (texColor.a > 0.0){
        texColor.r = color_r;
        texColor.g = color_g;
        texColor.b = color_b;
    }
    gl_FragColor = texColor;
}